<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="on">
      <action>temp0 =maincpu.pb@E004</action>
    </script>
    <script state="run">
      <action condition="(frame % 60 == 0) AND (maincpu.pb@E004!=temp0 )">maincpu.pb@E004=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E084=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy"> <comment>Turn this Cheat OFF at the end of each stage</comment>
    <script state="run">
      <action>maincpu.pb@E709=3F</action>
    </script>
  </cheat>

  <cheat desc="See the Dip Switch Menu to enable Invincibility."/>

  <cheat desc="Always one hit to kill boss">
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@E2E2=00</action>
    </script>
  </cheat>

  <cheat desc="Disable the knifethrowers"> <comment>The knifethrowers can still hit you if you are face to face with them.</comment>
    <script state="run">
      <action>maincpu.pb@E32B=00</action>
      <action>maincpu.pb@E32C=00</action>
      <action>maincpu.pb@E32D=00</action>
    </script>
  </cheat>

  <cheat desc="No pottery on Floor 2">
    <script state="run">
      <action>maincpu.pd@E380=00000000|(maincpu.pd@E380 BAND ~00FFFFFF)</action>
      <action>maincpu.pw@E384=0000</action>
    </script>
  </cheat>

  <cheat desc="No Boomerangs on Floor 2"> <comment>Use this cheat on Floor 2 ONLY</comment>
    <script state="run">
      <action>maincpu.pb@E2E6=00</action>
      <action>maincpu.pb@E2E7=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
